import 'dart:async';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_smart_kitchen_dock/flutter_smart_kitchen_dock.dart';
import 'package:flutter_smart_kitchen_dock/smart_kitchen_dock_platform_interface.dart';
import 'package:flutter_smart_kitchen_dock/smart_kitchen_dock_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockSmartKitchenDockPlatform
    with MockPlatformInterfaceMixin
    implements SmartKitchenDockPlatform {
  @override
  Future<String?> getPlatformVersion() => Future.value('42');
  @override
  Stream<Gesture> gestures() {
    final controller = StreamController<Gesture>();
    return controller.stream;
  }
}

void main() {
  final SmartKitchenDockPlatform initialPlatform =
      SmartKitchenDockPlatform.instance;

  test('$MethodChannelSmartKitchenDock is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelSmartKitchenDock>());
  });

  test('getPlatformVersion', () async {
    SmartKitchenDock smartKitchenDockPlugin = SmartKitchenDock();
    MockSmartKitchenDockPlatform fakePlatform = MockSmartKitchenDockPlatform();
    SmartKitchenDockPlatform.instance = fakePlatform;

    expect(await smartKitchenDockPlugin.getPlatformVersion(), '42');
  });

  test('startListening', () async {
    SmartKitchenDock smartKitchenDockPlugin = SmartKitchenDock();
    MockSmartKitchenDockPlatform fakePlatform = MockSmartKitchenDockPlatform();
    SmartKitchenDockPlatform.instance = fakePlatform;

    smartKitchenDockPlugin.gestures();
  });
}
